import asyncio
import time

from tanks.client import Client
from tanks.ui import CursesUI


def start_client():

    loop = asyncio.get_event_loop()
    reader, writer = loop.run_until_complete(asyncio.open_connection("127.0.0.1", 8888))
    ui = CursesUI()
    client = Client(ui, reader, writer)
    loop.create_task(client.handle_data_from_server())
    loop.run_until_complete(client.handle_user_input())


if __name__ == "__main__":
    start_client()
