from dataclasses import dataclass

GAME_AREA_WIDTH = 120
GAME_AREA_HEIGHT = 50


class Direction:
    UP = "UP"
    DOWN = "DOWN"
    LEFT = "LEFT"
    RIGHT = "RIGHT"


@dataclass
class Tank:
    center_y: int
    center_x: int
    direction: str


@dataclass
class Missile:
    center_y: int
    center_x: int
    direction: str

    def is_in_game_area(self) -> bool:
        return GAME_AREA_WIDTH - 3 >= self.center_x >= 3 and GAME_AREA_HEIGHT - 2 >= self.center_y >= 2
